Get accounts lower in the hierarchy
This operation will respond with a list of accounts given the account id
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The account id to fetch list of accounts for
Query Parameters
The audit user to log the request
Current page
How many accounts should be returned per page, default is 30. Cannot be more than 100.
1 < x < 100Response
Successful lookup of accounts
- listCreditAccountResponse
- listDebitAccountResponse
- listPrepaidAccountResponse
- listFleetAccountResponse
- listMultiCurrAccountResponse
Account summary in a list. The returned properties depend on the account template.
Accounts's available amount
1000
Account's balance
1000
A valid ISO 4217 currency code
[A-Z]{3}"EUR"
Customer id for account owner
55667788990
Unique account id for given account
1234567890
Human readable name of an account
64"My example account name"
Unique account number for given account. Must be numeric if paymentRefence.type defined as MOD10 or FINNISH_7_3_1! Note that selected account numbers might be reserved by Enfuce for internal usage.
64123456789
Account id of parent account. If empty then this is parent contract.
9876543210
ACCOUNT_BLOCKED, ACCOUNT_COLLECTION, ACCOUNT_OK, ACCOUNT_TO_CLOSE, ACCOUNT_CLOSED, ACCOUNT_AUTO_CLOSED Number connected to account that will be used to map incoming payments to
The productCode is used to determine the specific account product. Values of the field are dependent on institution setup.
"DEBIT_EUR_FI"
Template name for which the account is connected to
Credit limit of the account
10000

